/*
    Weather Access API
    Information provided by the Hong Kong Observatory open data API

*/


//Draw weather pallete, by default it align right
void drawWeatherPallete(int x, int y) {
  display.setFont(&FreeSans24pt7b);
  uint16_t textColor;
  int16_t tbx, tby; uint16_t tbw, tbh;
  if (isNight()) {
    textColor = GxEPD_BLACK;
  } else {
    textColor = GxEPD_RED;
  }
  display.setTextColor(textColor);
  int lineHeight = 44;

  //Print current temperature and humd
  display.getTextBounds(String(currentTemp) + " C", 0, 0, &tbx, &tby, &tbw, &tbh);
  int tempX = display.width() - tbw - 10;
  display.setCursor(tempX, y + tbh);
  display.print(String(currentTemp) + " C");
  //Draw the degree sign as it is not supported in ASCII
  display.getTextBounds(String(currentTemp), 0, 0, &tbx, &tby, &tbw, &tbh);
  display.fillCircle(tempX + tbw + 10, y + 7, 6, textColor);
  display.fillCircle(tempX + tbw + 10, y + 7, 3, GxEPD_WHITE);
  
  y += tbh + 10;
  display.setFont(&FreeSans18pt7b);
  display.getTextBounds(String(currentHumd) + "%", 0, 0, &tbx, &tby, &tbw, &tbh);
  display.setCursor(display.width() - tbw - 10, y + tbh);
  display.print(String(currentHumd) + "%");
}

//Draw the sun or moon icon base on day / night time
void drawSunMoon(int x, int y){
  if (isNight()){
    //Draw moon
    display.fillCircle(x, y, 40, GxEPD_RED);
    display.fillCircle(x - 30, y - 15, 38, GxEPD_WHITE);
  }else{
    //Draw sun
    display.fillCircle(x, y, 40, GxEPD_RED);
    //some clouds
    display.fillCircle(x + 10, y + 28, 20, GxEPD_WHITE);
    display.fillCircle(x + 40, y + 20, 30, GxEPD_WHITE);
  }
}
